For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Talk to usGet started
OverviewAPI Reference
OverviewAPI Reference
  • API Reference
        • GETGet Account
        • GETGet Employees
        • GETGet Invoices
        • GETGet Policies
        • POSTCreate Employee
        • PATCHEdit Employee
        • DELTerminate Employee
Logo
Talk to usGet started
API ReferenceIntegrationsAgility

Get Invoices

GET
https://api.trykeet.com/v1/agility/invoices
GET
/v1/agility/invoices
$curl https://api.trykeet.com/v1/agility/invoices \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
1{
2 "status": "status",
3 "invoices": [
4 {
5 "totalPremium": 1.1,
6 "totalAmountDue": 1.1,
7 "totalAdjustment": 1.1,
8 "paidAmount": 1.1,
9 "name": "name",
10 "invoiceStatus": "invoiceStatus",
11 "id": "id",
12 "hasPaymentRecord": true,
13 "pdfUrl": "pdfUrl",
14 "dueDate": "2023-01-15",
15 "currentBalance": 1.1,
16 "billingPeriodStartDate": "2023-01-15",
17 "billingPeriodEndDate": "2023-01-15",
18 "isPayable": true
19 },
20 {
21 "totalPremium": 1.1,
22 "totalAmountDue": 1.1,
23 "totalAdjustment": 1.1,
24 "paidAmount": 1.1,
25 "name": "name",
26 "invoiceStatus": "invoiceStatus",
27 "id": "id",
28 "hasPaymentRecord": true,
29 "pdfUrl": "pdfUrl",
30 "dueDate": "2023-01-15",
31 "currentBalance": 1.1,
32 "billingPeriodStartDate": "2023-01-15",
33 "billingPeriodEndDate": "2023-01-15",
34 "isPayable": true
35 }
36 ],
37 "hasUnpaidInvoice": true,
38 "hasMoreThanOneUnpaidInvoice": true,
39 "recurringPayment": true
40}
Get invoices
Was this page helpful?
Previous

Get Policies

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Account-TokenstringRequired
The account token that is associated with the end user linked to this account

Response

This endpoint returns an object.
statusstring
invoiceslist of objects
hasUnpaidInvoiceboolean
hasMoreThanOneUnpaidInvoiceboolean
recurringPaymentboolean

Errors

400
Bad Request Error
401
Un Authorized Error
404
Not Found Error
500
Internal Server Error
500
Not Implemented Error